| Flutter Impeller |

Public Member Functions | List of all members
impeller::interop::testing::TestObject Class Referencefinal
Inheritance diagram for impeller::interop::testing::TestObject:

## Public Member Functions
| TestObject (int arg1, double arg2, char arg3)
| ~TestObject ()=default
auto | GetArg1 () const
auto | GetArg2 () const
auto | GetArg3 () const
Public Member Functions inherited from impeller::interop::ObjectBase
| ObjectBase ()=default
virtual | ~ObjectBase ()=default
| ObjectBase (const ObjectBase &)=delete
| ObjectBase (ObjectBase &&)=delete
ObjectBase & | operator= (const ObjectBase &)=delete
ObjectBase & | operator= (ObjectBase &&)=delete
void | Retain ()
void | Release ()
uint64_t | GetRefCountForTests () const

## Additional Inherited Members
Public Types inherited from impeller::interop::Object< TestObject, IMPELLER_INTERNAL_HANDLE_NAME(TestHandle)>
using | InteropClass = TestObject
using | InteropCSibling = IMPELLER_INTERNAL_HANDLE_NAME(TestHandle)
Static Public Member Functions inherited from impeller::interop::ObjectBase
static void | SafeRetain (void *ptr)
static void | SafeRelease (void *ptr)

## Detailed Description

Definition at line 34 of file object_unittests.cc.

## Constructor & Destructor Documentation

## ◆ TestObject()

impeller::interop::testing::TestObject::TestObject | ( | int | arg1,
|  | double | arg2,
|  | char | arg3
| ) |  |
| inline

Definition at line 37 of file object_unittests.cc.

38 : arg1_(arg1), arg2_(arg2), arg3_(arg3) {}

## ◆ ~TestObject()

impeller::interop::testing::TestObject::~TestObject | ( |  | ) |
| default

## Member Function Documentation

## ◆ GetArg1()

auto impeller::interop::testing::TestObject::GetArg1 | ( |  | ) | const
| inline

Definition at line 42 of file object_unittests.cc.

42 { return arg1_; }

## ◆ GetArg2()

auto impeller::interop::testing::TestObject::GetArg2 | ( |  | ) | const
| inline

Definition at line 44 of file object_unittests.cc.

44 { return arg2_; }

## ◆ GetArg3()

auto impeller::interop::testing::TestObject::GetArg3 | ( |  | ) | const
| inline

Definition at line 46 of file object_unittests.cc.

46 { return arg3_; }

The documentation for this class was generated from the following file:

- impeller/toolkit/interop/object_unittests.cc